
package de.ivu.elect.business.niederschrift.entity;

import java.util.Comparator;

import de.ivu.elect.util.NullComparator;

public class NiederschriftKorrekturByZeitstempelComparator implements Comparator<NiederschriftKorrektur> {

  private static final Comparator<Object> NULL_COMPARATOR = NullComparator.NULL_BEFORE_NON_NULL_COMPARATOR;

  public NiederschriftKorrekturByZeitstempelComparator() {
    super();
  }

  @Override
  public int compare(NiederschriftKorrektur o1, NiederschriftKorrektur o2) {
    if (o1 == null || o2 == null) {
      return NULL_COMPARATOR.compare(o1, o2);
    }

    if (o1.getZeitstempel() == null || o2.getZeitstempel() == null) {
      return NULL_COMPARATOR.compare(o1.getZeitstempel(), o2.getZeitstempel());
    }

    return o1.getZeitstempel().compareTo(o2.getZeitstempel());
  }
}
